"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var FieldSelectorOption_1 = require("./FieldSelectorOption");
var FormBuilderContext_1 = require("./FormBuilderContext");
var FieldSelector = (function (_super) {
    __extends(FieldSelector, _super);
    function FieldSelector() {
        return _super.call(this) || this;
    }
    FieldSelector.prototype.render = function () {
        var options = this.props.registry.getFields().map(function (def) {
            var field = def.field, displayName = def.displayName, type = def.type;
            if (field.isSystemField) {
                return null;
            }
            return React.createElement(FieldSelectorOption_1.FieldSelectorOption, { field: field, key: type, label: displayName });
        });
        return (React.createElement(FormBuilderContext_1.FormBuilderContext, null,
            React.createElement("div", { className: 'field-selector' }, options)));
    };
    return FieldSelector;
}(React.PureComponent));
exports.FieldSelector = FieldSelector;
